package com.brilliance.isc.funds.crtcro.document;

import com.brilliance.isc.doc.handle.impl.AbstractTransactionDocSet;
import com.brilliance.isc.funds.bo.funds.CrtcroStoreBo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * @program: isc-funds
 * @ClassName: CrtcroDocSet
 * @description: 汇出清算 Crtcro 面函
 * @author: huangshunlin
 * @create: 2024-10-17 22:39
 */
@Component("crtcro.docset")
public class CrtcroDocSet extends AbstractTransactionDocSet<CrtcroStoreBo> {

    private static final Logger logger = LoggerFactory.getLogger(CrtcroDocSet.class);

    /**
     * 构建需要支持的面函组件
     */
    @PostConstruct
    public void buildMember() {
        //扫描Cortype支持，必须要执行
        scanDocCortypSupport();
    }


}
