package com.brilliance.isc.funds.fttpcn.resource;


import com.brilliance.isc.common.transaction.controller.AbstractTransactionController;
import com.brilliance.isc.funds.transfer.transaction.FttpcnStructMapper;import com.brilliance.isc.funds.vo.funds.FttpcnStoreVo;
import com.brilliance.isc.transfer.IStructMapper;import io.swagger.annotations.Api;import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;import javax.annotation.Resource;

@RestController
@RequestMapping("/fttpcn")
@Api("头寸调拨交易销账")
public class FttpcnResource extends AbstractTransactionController<FttpcnStoreVo> {
        @Resource
        private FttpcnStructMapper fttpcnStructMapper;

        public IStructMapper getStructMapper()
        {
                return fttpcnStructMapper;
        }

}
