package com.brilliance.isc.funds.crtcro.register.fee;

import com.brilliance.isc.common.register.fee.AbstractFeeRegister;
import com.brilliance.isc.common.register.fee.common.SetmodFeeRegister;
import com.brilliance.isc.common.setmod.vo.SetmodVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @program: isc-funds
 * @ClassName: CrtcroFeeRegister
 * @description: 汇入清算 Crtcro 费用注册
 * @author: huangshunlin
 * @create: 2024-10-17 22:40
 */
@Component("crtcro.feeRegister")
public class CrtcroFeeRegister extends AbstractFeeRegister {


    @Autowired
    private SetmodFeeRegister setmodFeeRegister;

    @Override
    public void registerSettlement(SetmodVo setmodVo) {
        transRegister(setmodVo);
        setmodFeeRegister.registerSettlement(setmodVo);
    }

    private void transRegister(SetmodVo setmodVo) {

    }

}
