package com.brilliance.isc.funds.fttfmt.resource;

import com.brilliance.isc.common.transaction.controller.AbstractTransactionController;
import com.brilliance.isc.funds.transfer.transaction.FttfmtStructMapper;
import com.brilliance.isc.funds.vo.funds.FttfmtStoreVo;
import com.brilliance.isc.transfer.IStructMapper;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;



@RestController
@RequestMapping("/fttfmt")
public class FttfmtResource extends AbstractTransactionController<FttfmtStoreVo> {

    @Resource
    private FttfmtStructMapper fttfmtStructMapper;

    public IStructMapper getStructMapper() {
        return fttfmtStructMapper;
    }
}
