package com.brilliance.isc.funds.bo.funds;



import com.brilliance.isc.bo.model.Ftdgrp;import com.brilliance.isc.bo.model.Fttp;import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.mda.runtime.mda.util.Decimals;import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;import java.math.BigDecimal;import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;



@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class FttpcnStoreBo extends BaseTransactionVo{

        //Cancel Amount
        private  BigDecimal canamt = Decimals.ZERO_SCALE2;
        private  String oldactinr= NULLSTR;
        //Cancel Currency
        private  String cancur= NULLSTR;
        private Ftdgrp ftdgrp;

        private Fttp fttp;

        @Override
        public void reset() {
            super.reset();
            if (ftdgrp == null) {
                ftdgrp = new Ftdgrp();
            }
            ftdgrp.reset();

            if (fttp == null) {
                fttp = new Fttp();
            }
            fttp.reset();
        }

}
